<?php
/**
 * Plugin Name: BusyBee
 * Plugin URI: http://m.servehttp.com/wp.dev/
 * Description: Framework :)
 * Version: 0.1.1
 * Author: Ivan Knezevic
 * Author URI: http://m.servehttp.com/
 * License: GPL2
 */

# PROTECTION
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

# SOME CONSTANTS
defined( 'BEE_URL' ) or define( 'BEE_URL', plugins_url( '/', __FILE__ ) );
defined( 'BEE_PATH' ) or define( 'BEE_PATH', plugin_dir_path( __FILE__ ) );
defined( 'PATH_CLASS' ) or define( 'PATH_CLASS', BEE_PATH . 'class' . DIRECTORY_SEPARATOR );
defined( 'PATH_ADMIN' ) or define( 'PATH_ADMIN', BEE_PATH . 'admin' . DIRECTORY_SEPARATOR );

defined( 'THEMEDIR' ) or define( 'THEMEDIR', rtrim( get_stylesheet_directory(), '/' ) . '/' );
defined( 'THEMEURL' ) or define( 'THEMEURL', trim( get_stylesheet_directory_uri(), '/' ) . '/' );

defined( 'TD' ) or define( 'TD', 'busybee' );

# HOOKS
add_action( 'plugins_loaded', 'busybee_init', 1000 );
add_action( 'plugins_loaded', 'busybee_deps', 999 );
add_action( 'admin_menu', 'busybee_menu_page' );


# AUTOLOAD CLASSES
spl_autoload_register( 'busybee_autoload' );
add_action( 'plugins_loaded', 'busybee_autoinclude', 1000 );

# AJAX
// require_once BEE_PATH . 'ajax.php';


# FUNCTIONS
/**
* This function will initialize and run the plugin.
*
* @return void
*/
function busybee_init()
{
}

/**
* Include all php files from include folder
*
* @return void
*/
function busybee_autoinclude()
{
    $paths = array(
        BEE_PATH,
        THEMEDIR,
    );

    foreach( $paths as $path ) {
        $dir = $path . 'include/';

        if( file_exists( $dir ) && is_dir( $dir ) ) {
            foreach( scandir( $dir ) as $file ) {
                if( substr( $file, -4 ) == '.php' ) {
                    require_once $dir . $file;
                }
            }
        }
    }
}

/**
* Autoload classes only from current (Envision) namespace
*
* @param string $class
* @return void
*/
function busybee_autoload( $class )
{
    if( !preg_match( '/^(Bee.*)/', $class, $rx ) ) {
        return;
    }

    $class_file = PATH_CLASS . $rx[1] . '.php';
    if( file_exists( $class_file ) ) {
        require_once $class_file;
    }
    else {
        die( "Error: Class {$class} does not exists!" );
    }
}

/**
* Add WP backend plugin page
*
* @return void
*/
function busybee_menu_page()
{
    $page_title = 'BusyBee';
    $menu_title = 'BusyBee';
    $capability = 'manage_options';
    $menu_slug = 'busybee';
    $function = 'busybee_menu_page_content';

    add_options_page( $page_title, $menu_title, $capability, $menu_slug, $function );
}

/**
* Display plugin's page content
*
* @return void
*/
function busybee_menu_page_content()
{
    $page = 'dash';
//     get_admin_template( 'header', array( 'title' => $page ) );
    busybee_get_admin_template( $page );
//     get_admin_template( 'footer' );
}


/**
* Display plugin's page content
*
* @hooked plugins_loaded
* @return void
*/
function busybee_deps()
{
    include BEE_PATH . 'deps/if-functions.php';
}



