<?php
/**
* Base class
*
*
*/

class BeeBase
{
    /**
    * Constructor class
    *
    * @return void
    */
    public function __construct()
    {
    }

    /**
    * Call to undefined methods
    *
    * @param string $method
    * @param array $args
    * @return void
    */
    public function __call( $method, $args )
    {
        $action = false;

        if( preg_match( '/(^[^A-Z]+)(.+)$/', $method, $rx ) ) {
            $action = $rx[1];
            $variable = trim( strtolower( preg_replace( '/[A-Z]/', "_$0", $rx[2] ) ), '_' );

            if( $action == 'get' ) {
                return $this->$variable;
            }
            elseif( $action == 'set' ) {
                $this->$variable = $args[0];
                return $this->$variable;
            }
        }

        return $action;
    }
    /**
    * Set undefined property
    *
    * @param string $name
    * @return void
    */
    public function __set( $name, $value )
    {
        $this->$name = $value;
    }

    /**
    * Get undefined property, return false to prevent notice
    *
    * @param string $name
    * @return bool false
    */
    public function __get( $name )
    {
        return false;
    }

    /**
    * Populate data
    *
    * @param array $data
    * @return void
    */
    public function populate( $data )
    {
        foreach( $data as $key => $value ) {
            $this->$key = trim( $value );
        }
    }

}


