<?php
/**
* Mobile menu based on DL Menu by Mary Lou (Codrops)
*
* @thanks http://tympanus.net/codrops/2013/04/19/responsive-multi-level-menu/
*/

function bee_dlmenu( $args = array() ) {

    $default = array(
        'theme_location' => 'main',
        'menu_class' => 'nav-menu-mobile dl-menu',
        'menu_id' => 'primary-nav-mobile',
        'walker' => new BeeNavDLMenu(),
        'echo' => 0,
        'container' => false,
    );

    $args = array_merge( $default, $args );

    $menu = wp_nav_menu( $args );

    return $menu;

}


/**
* Class for changing submenu class and adding back button to submenus.
*
*
*/
class BeeNavDLMenu extends Walker_Nav_Menu
{
    /**
    * Add submenu class and back button
    *
    * @param string $output
    * @param int $depth
    * @return void
    */
    function start_lvl( &$output, $depth=0, $args=array() )
    {
        $indent = str_repeat( "\t", $depth );
        $output .= "\n$indent<ul class=\"dl-submenu\">\n";
        $output .= '<li class="dl-back"><a href="#">' . __( 'back', TD ) . '</a></li>';
    }
}
