<?php

add_action( 'init', 'bee_enqueue_register', 1 );
add_action( 'wp_enqueue_scripts', 'bee_enqueue_dequeue', 899 );

/**
* Register local scripts and styles
*
* @hooked init
* @return void
*/
function bee_enqueue_register()
{
    # FONT AWESOME
    wp_register_style( 'bee-fontawesome', BEE_URL . '3rdparty/font-awesome/css/font-awesome.min.css' );

    # MODERNIZR
    wp_register_script( 'bee-modernizr', BEE_URL . '3rdparty/modernizr/modernizr-custom.js' );

    # Slider: BX SLIDER
    wp_register_style( 'bee-bxslider', BEE_URL . '3rdparty/bxslider/jquery.bxslider.css' );
    wp_register_script( 'bee-bxslider', BEE_URL . '3rdparty/bxslider/jquery.bxslider.min.js', array( 'jquery' ) );

    # Slider: CAMERA
    wp_register_style( 'bee-camera', BEE_URL . '3rdparty/camera/css/camera.css' );
    wp_register_script( 'bee-camera_easing', BEE_URL . '3rdparty/camera/scripts/jquery.easing.1.3.min.js', array( 'jquery' ) );
    wp_register_script( 'bee-camera', BEE_URL . '3rdparty/camera/scripts/camera.min.js', array( 'bee-camera_easing' ) );

    # Slider: SLICK
    wp_register_style( 'bee-slick', BEE_URL . '3rdparty/slick/slick.min.css' );
    wp_register_script( 'bee-slick', BEE_URL . '3rdparty/slick/slick.min.js', array( 'jquery' ) );

    # DL MENU
    wp_register_style( 'bee-dlmenu', BEE_URL . '3rdparty/dlmenu/css/component.css' );
    wp_register_script( 'bee-dlmenu', BEE_URL . '3rdparty/dlmenu/jquery.dlmenu.js', array( 'jquery', 'bee-modernizr' ) );

    # MAGNIFIC POPUP
    wp_register_style( 'bee-magnific', BEE_URL . '3rdparty/magnific-popup/magnific-popup.css' );
    wp_register_script( 'bee-magnific', BEE_URL . '3rdparty/magnific-popup/jquery.magnific-popup.min.js', array( 'jquery' ) );

    # MATCH HEIGHT
    wp_register_script( 'bee-matchheight', BEE_URL . '3rdparty/match-height/jquery.matchHeight-min.js', array( 'jquery' ) );

    # MASONRY
    wp_register_script( 'bee-masonry', BEE_URL . '3rdparty/masonry/masonry.pkgd.min.js', array( 'jquery' ) );

    # PACKERY
    wp_register_script( 'bee-packery', BEE_URL . '3rdparty/packery/packery.pkgd.min.js', array( 'jquery' ) );

    # ISOTOPE
    wp_register_script( 'bee-isotope', BEE_URL . '3rdparty/isotope/isotope.pkgd.min.js', array( 'jquery' ) );

    # PHOTOSWIPE
    wp_register_style( 'bee-photoswipe-skin', BEE_URL . '3rdparty/photoswipe/default-skin/default-skin.css' );
    wp_register_style( 'bee-photoswipe', BEE_URL . '3rdparty/photoswipe/photoswipe.css' );
    wp_register_script( 'bee-photoswipe-core', BEE_URL . '3rdparty/photoswipe/photoswipe.min.js' );
    wp_register_script( 'bee-photoswipe-ui', BEE_URL . '3rdparty/photoswipe/photoswipe-ui-default.min.js' );
    wp_register_script( 'bee-photoswipe', BEE_URL . '3rdparty/photoswipe/photoswipe-local.js', array( 'bee-photoswipe-core' ) );

}


/**
* Dequeue other scripts and styles
*
* @hooked wp_enqueue_scripts
* @return void
*/
function bee_enqueue_dequeue()
{
    # DEQUEUE STYLES
    $styles = array(
        'contact-form-7',
        'newsletter-subscription',
        'woocommerce-layout',
        'woocommerce-general',
        'woocommerce-smallscreen',
    );
    $styles = apply_filters( 'bee_dequeue_styles', $styles );
    foreach( $styles as $style ) {
        wp_dequeue_style( $style );
    }

    # DEQUEUE SCRIPTS
    $scripts = array(
        'newsletter-subscription'
    );
    $scripts = apply_filters( 'bee_dequeue_scripts', $scripts );
    foreach( $scripts as $script ) {
        wp_dequeue_script( $script );
    }
}
