<?php

if( function_exists( 'get_field' ) ) {
    add_action( 'wp_head', 'bee_favicon_set' );
    add_action( 'admin_head', 'bee_favicon_set' );
}


/**
* Add favicon tag to site header
*
* @hooked wp_head, admin_head
* @return void
*/
function bee_favicon_set()
{
    if( $favicon = bee_favicon_get() ) : ?>
        <link rel="shortcut icon" href="<?php echo $favicon ?>" />
    <?php
    endif;
}


/**
* Grab favicon and set everything
*
* @return string $favicon
*/
function bee_favicon_get()
{
    $favicon = '';

    if( $attachment_id = get_field( 'favicon', 'option' ) ) {
        if( $icon = wp_get_attachment_image_src( $attachment_id, array( 16, 16 ) ) ) {
            $favicon = $icon[0];
        }
    }

    if( is_admin() && $attachment_id = get_field( 'favicon_admin', 'option' ) ) {
        if( $icon = wp_get_attachment_image_src( $attachment_id, array( 16, 16 ) ) ) {
            $favicon = $icon[0];
        }
    }

    return $favicon;
}
