<?php

add_filter( 'login_headertitle', 'login_headertitle' );
add_filter( 'login_headerurl', 'login_headerurl' );
add_action( 'login_enqueue_scripts', 'login_inline_style' );


/**
* Change login title for logo
*
* @hooked login_headertitle
* @param string $title
* @return string
*/
function login_headertitle( $title )
{
    return get_bloginfo( 'name' );
}


/**
* Change login url for logo
*
* @hooked login_headerurl
* @param string $title
* @return string
*/
function login_headerurl( $url )
{
    $url = home_url();
    return $url;
}


/**
* Change login logo
*
* @hooked login_enqueue_scripts
* @return void
*/
function login_inline_style()
{
    if( !$logo = get_field( 'site_logo_login', 'option' ) ) {
        return;
    }
    $w = $logo['width'];
    $h = $logo['height'];
    $url = $logo['url'];

    $custom_css = ".login h1 a { background-image:url('{$url}') !important; background-size:{$w}px {$h}px; height:{$h}px; width:{$w}px; margin: 0 auto; max-width:100%; }";

    wp_add_inline_style( 'login', $custom_css );
}

