<?php

/**
* Display template part
*
* @param string $template
* @param mixed $args
* @return void
*/
function busybee_get_admin_template( $template, $args=array() )
{
    $file = PATH_ADMIN . $template . '.php';
    if( file_exists( $file ) ) {
        include $file;
    }
    else {
        ww( $template, 'missing template' );
    }
}


/**
* Grab conditionals from wp_query
*
* @param string $template
* @param mixed $args
* @return void
*/
function busybee_is()
{
    if( !isset( $GLOBALS['bee_is'] ) ) {
        $GLOBALS['bee_is'] = array();
        foreach( $GLOBALS['wp_query'] as $key => $value ) {
            if( preg_match( '/^is\_/', $key ) ) {
                $GLOBALS['bee_is'][$key] = $value;
            }
        }
    }

    return $GLOBALS['bee_is'];
}


/**
* Calculate number of columns using number of items
*
* Min and max value must be set.
*
* @param array $items
* @param int $max
* @param int $min
* @return int $cols
*/
function busybee_count( $items, $max = 4, $min = 3 )
{
    if( !is_int( $items ) ) {
        $items = count( $items );
    }

    if( $items < $max ) {
        return $items;
    }

    $calc = array();
    for( $i=$max; $i>=$min; $i-- ) {
        $calc[$i] = array(
            'rows' => ceil( $items / $i ),
            'full' => floor( $items / $i ),
            'rest' => $items % $i,
            'perc' => ( $items % $i * 100 ) / $i,
        );
    }

    $cols = $items;
    $perc = 0;
    foreach( $calc as $i => $data ) {
        if( $data['perc'] == 0 ) {
            return $i;
        }

        if( $data['perc'] > $perc ) {
            $perc = $data['perc'];
            $cols = $i;
        }

    }

    return $cols;
}