<?php

add_action( 'after_setup_theme', 'bee_shortcodes' );

/**
*
*
*/
function bee_shortcodes()
{
    # Define path relative to Webit root folder
    if( !defined( 'BEE_SHC_PATH' ) ) define( 'BEE_SHC_PATH', 'shortcodes/' );

    $paths = array(
        THEMEDIR,
//         BEEDIRPARENT,
//         BEEDIR,
    );

    foreach( $paths as $path ) {

        if( !( file_exists( $path . BEE_SHC_PATH ) && is_dir( $path . BEE_SHC_PATH ) ) ) {
            continue;
        }

        foreach( scandir( $path . BEE_SHC_PATH ) as $file ) {
            if( !preg_match( '/^([a-z][a-z0-9]*)\.php$/', $file, $rx ) ) continue;

            add_shortcode( $rx[1], 'bee_shortcodes_load' );
        }
    }
}

/**
* Load shortcode by its code, return its content
*
* @param array $atts
* @param string $content
* @param string $code Shortcode name
* @return string Html content
*/
function bee_shortcodes_load( $atts=array(), $content = null, $code = null )
{
    $file = THEMEDIR . BEE_SHC_PATH . "{$code}.php";

    if( !$atts ) {
        $atts = array();
    }

    $class = bee_shortcodes_css( $atts, $code );

    ob_start();
    if( !file_exists( $file ) ) return "<code>No file: {$file}</code>";

    include $file;

    $content = ob_get_clean();

//     if( isset( $atts['nofilter'] ) || array_search( 'nofilter', $atts )!==false ) {
//         $content = ob_get_clean();
//     }
//     else {
//         $content = apply_filters( 'the_content', ob_get_clean() );
//     }

    return $content;
}


/**
* Add css classes to an element
*
* @param array $atts
* @param string $code
* @return string Class
*/
function bee_shortcodes_css( $atts, $code )
{
    if( !isset( $atts['class'] ) || !$atts['class'] ) {
        $atts['class'] = '';
    }
    $class = 'shc-' . $code . ' ' . $atts['class'];
    return $class;
}
