<?php
/**
* Webit Widgets
*
* All functions and hooks needed for WebitWidget are here.
* Widgets are added from subfolder "simple" in widgets directory.
* You can add your own, if you want.
*
* @link http://support.webitfree.com
* @package WebitFree
*/

// webit_require( 'widgets/auto_add.php' );
add_action( 'widgets_init', 'bee_widgets_init' );

/**
* Main function for including all the WebitWidgets
*
* @hooked widgets_init
* @return void
*/
function bee_widgets_init()
{
    $widget_prefix = 'Bee';

//     webit_require( 'widgets/WebitWidget.php' );

    $paths = array(
        BEE_PATH,
        THEMEDIR,
    );

    foreach( $paths as $path ) {
        $widgets_dir = $path . 'widgets/';

        if( !( file_exists( $widgets_dir ) && is_dir( $widgets_dir ) ) ) {
            continue;
        }

        foreach( scandir($widgets_dir) as $file ) {
            if( is_dir($widgets_dir.$file) || !preg_match('/\.php$/', $file) ) {
                continue;
            }

            $widget_name = $widget_prefix . ucfirst( basename($file, '.php') );

            require_once $widgets_dir . $file;
            register_widget( $widget_name );
        }
    }
}
