<?php

$logo = get_field( $prefix . 'footer_logo', 'options' );
$phone = get_field( 'footer_phone', 'option' );
$email = get_field( 'footer_email', 'option' );

?>


<footer class="site-footer" role="contentinfo">
    <div class="wrap">
        <div class="top">
            <div class="logo-text">
                <?php if( $logo ) : ?>
                    <div class="img">
                        <?php echo wp_get_attachment_image( $logo, 'custom' ); ?>
                    </div>
                <?php endif ?>
                <div class="text">
                    <h3>Please contact us with any questions or for a no obligation consultation on what would suit your needs best.</h3>
                    <p>We are based in Terrigal on the NSW Central Coast, but have clients all over Australia as well as the UK, New Zealand, USA and Canada. </p>
                </div>
            </div>
            <div class="contact-info">
                <div class="contact">
                    <ul>
                        <li>
                            <?php if( $phone ) : ?>
                                <span class="phone">Call: <a href="tel:<?php echo $phone ?>"><?php echo $phone ?></a></span>
                            <?php endif ?>
                        </li>
                        <li>
                            <?php if( $email ) : ?>
                                <span class="email">Email: <a href="mailto:<?php echo $email ?>"><?php echo $email ?></a></span>
                            <?php endif ?>
                        </li>
                    </ul>
                </div>
                <?php get_template_part( 'blocks/footer/social' ) ?>
            </div>
        </div>
        <div class="bottom">
            <?php get_template_part( 'blocks/footer/copy' ) ?>
        </div>
    </div>
</footer>
