<?php

$prefix = 'block_home_banner_';

if( !( get_field( $prefix . 'enabled' ) ) ) {
    return;
}

$background = get_field( $prefix . 'back' );
$title_intro = get_field( $prefix . 'title_intro');
$title = get_field( $prefix . 'title');
$paragraph = get_field( $prefix . 'paragraph');
$link = get_field( $prefix . 'button');

?>



<section class="block-home-banner ban-inc" <?php if( $background ) : ?>style="background-image: url(<?php echo $background ?>)"<?php endif ?>>

    <div class="wrap">
        <div class="content">
            <div class="text" data-aos="zoom-in" data-aos-easing="ease" data-aos-delay="100">
                <?php if( $title_intro ) : ?>
                    <h2><?php echo $title_intro ?></h2>
                <?php endif ?>
            </div>
            <?php if( $title ) : ?>
                <h1 data-aos="zoom-in" data-aos-easing="ease" data-aos-delay="400"><?php echo $title?></h1>
            <?php endif ?>
            <?php if( $paragraph ) : ?>
                <p data-aos="zoom-in" data-aos-easing="ease" data-aos-delay="700"><?php echo $paragraph ?></p>
            <?php endif ?>

            <?php if( $link ) : ?>
                <?php
                if( $link ):
                    $link_url = $link['url'];
                    $link_title = $link['title'];
                    $link_target = $link['target'] ? $link['target'] : '_self';
                ?>
                    <div class="buttons" data-aos="fade-up" data-aos-easing="ease" data-aos-delay="1000">
                       <a class="button" href="<?php echo esc_url( $link_url ) ?>" target="<?php echo esc_attr( $link_target ) ?>"><?php echo esc_html( $link_title ) ?></a>
                    </div>
                <?php endif; ?>
            <?php endif ?>

        </div>
    </div>
</section>
