<?php

$args = array(
	'posts_per_page'   => -1,
	// 'cat'         => '',
	'category_name'    => '',
	'orderby'          => 'date',
	'order'            => 'ASC',
	'post_type'        => 'projects',
	'post_mime_type'   => ' ',
	'post_parent'      => '',
	'author'	   => '',
	'author_name'	   => '',
	'post_status'      => 'publish',
	'suppress_filters' => true,
	'fields'           => '',
);
$projects = get_posts( $args );

$args_terms = array(
    'taxonomy' => 'project_category',
    'orderby' => 'term_order',
    'order' => 'ASC',
);
$terms = get_terms( $args_terms );

wp_enqueue_script( '3rd-isotope-packery' );

?>

<section class="block-projects" style="background-image:url('<?php echo THEMEURL ?>/images/back-projects.jpg')">
    <div class="wrap">
        <div class="content">

            <ul class="navigation-projects isotope-filters">
                <?php foreach( $terms as $key => $term ) : ?>
                    <li class="isotope-filter" data-filter=".<?php echo $term->slug ?>" data-region="<?php echo $term->slug ?>"><?php echo $term->name ?></li>
                <?php endforeach ?>
            </ul>
            <ul class="items grid grid-isotope">

                <?php foreach( $projects as $project ) : ?>
					<?php
						$title_desc = get_field( 'block_projects_title', $project );
						$text = get_field( 'block_projects_text', $project );
					 ?>
					<?php $terms = get_the_terms( $project->ID, 'project_category' ); ?>
                    <li class="grid-item <?php foreach( $terms as $term ) : ?><?php echo $term->slug . ' ' ?><?php endforeach ?>">
						<div class="box-projects">
							<div class="box-text">
								<a href="<?php echo get_permalink( $project->ID ) ?>"><h1 class="entery-title"><em class="title-desc"><?php echo $title_desc ?></em><?php echo $project->post_title ?></h1></a>
								<?php if( $text ) : ?><div class="text-projects"><?php echo $text ?></div><?php endif ?>
								<?php
									$pack_inc = get_field('overview_includes' , $project  );
								?>
								<?php if( $pack_inc ) : ?>
									<ul class="project-icons">
										<?php if( $pack_inc && in_array('design', $pack_inc ) ): ?>
											<li>
												<div class="content-include">
													<div class="img"><img src="<?php echo THEMEURL ?>/images/prack-01.png" alt="#"></div>
													<h4>Design</h4>
												</div>
											</li>
										<?php endif; ?>
										<?php if( $pack_inc && in_array('development', $pack_inc ) ): ?>
											<li>
												<div class="content-include">
													<div class="img"><img src="<?php echo THEMEURL ?>/images/prack-02.png" alt="#"></div>
													<h4>Development</h4>
												</div>
											</li>
										<?php endif; ?>
										<?php if( $pack_inc && in_array('copywritting', $pack_inc ) ): ?>
											<li>
												<div class="content-include">
													<div class="img"><img src="<?php echo THEMEURL ?>/images/prack-03.png" alt="#"></div>
													<h4>Copywritting</h4>
												</div>
											</li>
										<?php endif; ?>
										<?php if( $pack_inc && in_array('marketing', $pack_inc ) ): ?>
											<li>
												<div class="content-include">
													<div class="img"><img src="<?php echo THEMEURL ?>/images/prack-04.png" alt="#"></div>
													<h4>Marketing</h4>
												</div>
											</li>
										<?php endif; ?>
									</ul>
								<?php endif ?>
								<div class="buttons">
							 		<a class="button" href="<?php echo get_permalink( $project->ID ) ?>">view more details</a>
								</div>
							</div>
                            <?php if($background = get_the_post_thumbnail_url( $project ) ) : ?>
                         		<a href="<?php echo get_permalink( $project->ID ) ?>"><div class="box-img" style="background-image:url('<?php echo $background ?>')"></div></a>
							<?php endif ?>
						</div>
                    </li>
                <?php endforeach ?>

            </ul>

        </div>
    </div>
</section>
<?php get_template_part( 'blocks/home/support' ) ?>
