<?php
$prefix = 'block_team_';

if( !( get_field( $prefix . 'enabled' ) ) ) {
    return;
}

$back = get_field( $prefix . 'back' );

?>

<section class="block-team" style="background-image: url(<?php echo $back ?>)">
    <div class="wrap" data-aos="zoom-in">
        <div class="intro">
            <?php if( $title = get_field( $prefix . 'title' ) ) : ?><h2 class="block-title"><?php echo $title ?></h2><?php endif ?>
        </div>
        <?php if( $items = get_field( $prefix . 'items' ) ) : ?>
            <ul class="team-list">
                <?php foreach ( $items as $item ) : ?>
                    <?php
                        $name = $item['name'];
                        $positions = $item['positions'];
                    ?>
                    <li>
                        <?php if( $name ) : ?><h4><?php echo $name ?></h4><?php endif ?>
                        <?php if( $positions ) : ?><span><?php echo $positions ?></span><?php endif ?>
                    </li>
                <?php endforeach ?>
            </ul>
        <?php endif ?>
        <?php if( $link = get_field( $prefix . 'link' ) ) : ?>
            <?php
            if( $link ):
                $link_url = $link['url'];
                $link_title = $link['title'];
                $link_target = $link['target'] ? $link['target'] : '_self';
            ?>
            <div class="buttons">
               <a class="button" href="<?php echo esc_url( $link_url ) ?>" target="<?php echo esc_attr( $link_target ) ?>"><?php echo esc_html( $link_title ) ?></a>
            </div>
            <?php endif; ?>
        <?php endif ?>
    </div>
</section>
