<?php

$prefix = 'block_testimonilas_';

$back = get_field( $prefix . 'back', 'options' );

wp_enqueue_style( 'bee-slick' );
wp_enqueue_script( 'bee-slick' );

?>

    <section class="block-testimonials" style="background-image: url(<?php echo $back ?>)">
        <div class="wrap">
            <?php if( $items = get_field( $prefix . 'items', 'options' ) ) :?>
                <div class="testimonials-holder"<?php if( is_page( 'case-studies' ) ) : ?><?php else : ?>data-aos="fade-up"<?php endif ?>>
                    <div class="testimonials-content">
                        <?php foreach ( $items as $item ) : ?>
                            <div>
                                <?php if( $testimonial = $item['testimonial'] ) : ?>
                                    <div class="story">
                                        <blockquote><?php echo $testimonial ?></blockquote>
                                    </div>
                                <?php endif ?>
                                <div class="author-contant">
                                    <?php if( $image = $item['image'] ) : ?>
                                        <div class="image">
                                            <?php echo wp_get_attachment_image( $image, 'small' ) ?>
                                        </div>
                                    <?php endif ?>
                                    <div class="text">
                                        <?php if( $author = $item['author'] ) : ?>
                                            <div class="author">
                                                <div class="author"><?php echo $author ?></div>
                                            </div>
                                        <?php endif ?>
                                        <?php if( $web_address = $item['web_address'] ) : ?>
                                            <div class="web-address">
                                                <a href="http://www.<?php echo $web_address ?>" target="_blank"><?php echo $web_address ?></a>
                                            </div>
                                        <?php endif ?>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach ?>
                    </div>
                    <div class="slider-arrows slider-arrows-inc"></div>
                </div>
            <?php endif ?>
        </div>
    </section>
