<?php

add_action( 'after_setup_theme', 'custom_taxonomy' );


/**
* Create custom taxonomies
*
* @return void
*/
function custom_taxonomy()
{
  # Project Category
    $slug = 'project_category';
    $singular = 'Project Category';
    $plural = 'Project Categories';
    $post_types = array(
        'projects',
    );

    $args = array(
        'hierarchical'          => true,
        'labels'                => custom_taxonomy_labels( $singular, $plural ),
        'show_ui'               => true,
        'show_admin_column'     => true,
        'update_count_callback' => '_update_post_term_count',
        'query_var'             => true,
//         'rewrite'               => array( 'slug' => $slug ),
    );

    register_taxonomy( $slug, $post_types, $args );

}


/**
* Create labels for custom post type
*
* @param string $singular
* @param string $plural
* @return array
*/
function custom_taxonomy_labels( $singular, $plural='' )
{
    if( !$plural ) {
        $plural = $singular . 's';
    }

    $singular_lower = strtolower( $singular );
    $plural_lower = strtolower( $plural );

    $labels = array(
        'name'                       => _x( $plural, 'taxonomy general name', TD ),
        'singular_name'              => _x( $singular, 'taxonomy singular name', TD ),
        'search_items'               => __( "Search " . $plural, TD ),
        'popular_items'              => __( 'Popular ' . $plural, TD ),
        'all_items'                  => __( 'All ' . $plural, TD ),
        'parent_item'                => null,
        'parent_item_colon'          => null,
        'edit_item'                  => __( 'Edit ' . $singular, TD ),
        'update_item'                => __( 'Update ' . $singular, TD ),
        'add_new_item'               => __( 'Add New ' . $singular, TD ),
        'new_item_name'              => __( 'New '.$singular.' Name', TD ),
        'separate_items_with_commas' => __( 'Separate '.$plural_lc.' with commas', TD ),
        'add_or_remove_items'        => __( 'Add or remove '.$plural_lc, TD ),
        'choose_from_most_used'      => __( 'Choose from the most used '.$plural_lc, TD ),
        'not_found'                  => __( 'No '.$plural_lc.' found.', TD ),
        'menu_name'                  => __( $plural, TD ),
    );

    return $labels;
}
