<?php

add_action( 'init', 'local_enqueue_register' );
add_action( 'wp_enqueue_scripts', 'local_enqueue_dequeue', 900 );
add_action( 'wp_enqueue_scripts', 'local_enqueue', 200 );
// add_action( 'login_enqueue_scripts', 'local_enqueue_login' );
// add_action( 'admin_enqueue_scripts', 'local_enqueue_admin' );


/**
* Register local scripts and styles
*
* @hooked init
* @return void
*/
function local_enqueue_register()
{
    // wp_register_style( 'local-login', THEMEURL . 'style-login.css' );

    // wp_register_style( 'local-gfont', 'https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Oswald:500' );
    wp_register_style( 'local-font', THEMEURL . 'fonts/stylesheet.css' );
    wp_register_style( 'local-style', get_stylesheet_uri() );
    wp_register_style( 'local-style-real', THEMEURL . 'style-real.css', array(
        'bee-fontawesome',
        'local-font',
        'local-style',
    ) );
    wp_register_style( 'local-responsive', THEMEURL . 'style-responsive.css', array(
        'local-style-real',
    ) );

    wp_register_script( 'local', THEMEURL . 'js/local.js', array(
        'jquery',
    ) );
    // wp_localize_script( 'local', 'local', array(
    //     'ajaxurl' => admin_url( 'admin-ajax.php' ),
    // ) );


    /**************************/
    wp_register_style( 'local-aos', THEMEURL . '3rdparty/aos/aos.css' );
    wp_register_script( 'local-aos-js', THEMEURL . '3rdparty/aos/aos.js', array( 'jquery' ) );

    wp_register_script( '3rd-isotope-packery', THEMEURL . '3rdparty/isotope/packery-mode.pkgd.min.js', array( 'bee-isotope' ) );

}


/**
* Enqueue (load) scripts and styles on ALL pages
*
* @hooked wp_enqueue_scripts
* @return void
*/
function local_enqueue()
{
    wp_enqueue_style( 'local-aos' );
    wp_enqueue_script( 'local-aos-js' );
    wp_enqueue_style( 'local-responsive' );
    wp_enqueue_script( 'local' );
    // wp_enqueue_style( 'local-print' );
    // wp_enqueue_script( 'bee-matchheight' );
}


/**
* Enqueue local scripts and styles on login page
*
* @hooked login_enqueue_scripts
* @return void
*/
function local_enqueue_login()
{
    wp_enqueue_style( 'local-login' );
}


/**
* Dequeue other scripts and styles
*
* @hooked wp_enqueue_scripts
* @return void
*/
function local_enqueue_dequeue()
{
    wp_dequeue_style( 'newsletter-subscription' );
    wp_dequeue_script( 'newsletter-subscription' );
    wp_dequeue_script( 'comment-reply' );
    wp_deregister_script( 'wp-embed' );
}


/**
* Add styles and scripts to WP backend
*
* @hooked admin_enqueue_scripts
* @return void
*/
function local_enqueue_admin()
{
    wp_enqueue_style( 'local_admin', THEMEURL . 'style-admin.css' );
}
