<?php

add_action( 'after_setup_theme', 'local_setup' );
add_action( 'after_setup_theme', 'local_setup_menus' );
add_action( 'after_setup_theme', 'local_setup_images' );
add_action( 'widgets_init', 'local_setup_sidebars' );
add_filter( 'the_content_more_link', 'remove_more_link_scroll' );

/**
* Theme support etc.
*
* @hooked after_setup_theme
* @return void
*/
function local_setup()
{
    add_theme_support( 'post-thumbnails' );
    add_theme_support( 'html5', array(
        'comment-form',
        'comment-list',
        'gallery',
        'caption',
    ) );
    add_theme_support( 'bee-layouts' );
    add_theme_support( 'title-tag' );
}


/**
* Menus
*
* @hooked after_setup_theme
* @return void
*/
function local_setup_menus()
{
    $args = array(
        'left' => 'Main menu (left)',
        'right' => 'Main menu (right)',
    );

    register_nav_menus( $args );
}

/**
* Images
*
* @hooked after_setup_theme
* @return void
*/
function local_setup_images()
{
    // add_image_size( 'product-related', 179, 239, true );
    // add_image_size( 'contact', 600, 420, true );
    // add_image_size( 'product-carousel', 400, 425, true );
    // add_image_size( 'premium-square', 240, 240, true );

}


/**
* Add custom sidebars
*
* @hooked after_setup_theme
* @return void
*/
function local_setup_sidebars()
{

    register_sidebar( array(
        'name' => __( 'Blog', TD ),
        'id' => 'sidebar-blog',
        'description' => __( 'Area for blog.', TD ),
        'before_widget' => '<div id="%1$s" class="filter-box widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ) );

}

/**
* Blog remove_more_link_scroll
*
*/
function remove_more_link_scroll( $link )
{
    $link = preg_replace( '|#more-[0-9]+|', '', $link );
    return $link;
}
