(function($) {

   /**
    * Events & links
    */
    $( window ).on( 'load', load_window );
    $( document ).on( 'click', '.isotope-filter', project_isotope_filter );
    // $( document ).on( 'arrangeComplete', '.grid', project_isotope_layoutComplete );


   /**
    * DOM ready or document.ready
    *
    */
    $(function() {

        // dlmenu();
        AOS.init();
        slider_testimonials();
        project_isotope();
        slider_banner();

        $('.dropdown-toggle a').click(function(){
            $(this).next('.sub-menu').slideToggle("fast");
        });

        $(document).click(function(e) {
            var target = e.target;
            if (!$(target).is('.dropdown-toggle a') && !$(target).parents().is('.dropdown-toggle a')) {
                $('.sub-menu').hide();
            }
        });


    });


    /**
     * Things to do after window is loaded
     *
     */
    function load_window()
    {
        $('.isotope-filters li:first-of-type').trigger( "click" );
    }


    /**
     * Activate dl menu if exists
     *
     */
    function dlmenu()
    {
        if( !( $().dlmenu && $('#dl-menu').length ) ) {
            return;
        }

        $( '#dl-menu' ).dlmenu({
            animationClasses : {
                in : 'dl-animate-in-2',
                out : 'dl-animate-out-2'
            }
        });
    }

    /**
     *
     *
     */
    function slider_testimonials()
    {
        if( !( $().slick && $('.testimonials-content').length ) ) {
            return;
        }

        $('.testimonials-content').slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            dots: false,
            pauseOnHover: true,
            infinite: true,
            arrows: true,
            appendArrows: $(".slider-arrows"),
            prevArrow: '<div class="button-arrow button-left"><i class="fa fa-arrow-left"></i></div>',
            nextArrow: '<div class="button-arrow button-right"><i class="fa fa-arrow-right"></i></div>',
            speed: 300,
            fade: true,
            // autoplay: true,
            autoplaySpeed: 6000,
            cssEase: 'linear',
        });
    }

    /**
     *
     *
     */
    function project_isotope()
    {
        if( !( $().isotope && $('.grid').length ) ) {
            return;
        }

        var params = new URLSearchParams( window.location.search );
        var f = params.get( 'f' );
        var filterValue = f ? '.slug_' + f : '';

        $('.grid').isotope({
            layoutMode: 'vertical',
//             packery: {
//
//             },
            itemSelector: '.grid-item',
            filter: filterValue
        });

    }

    /**
     *
     *
     */
    function project_isotope_filter( event )
    {
        var el = $( event.target );

        if( el.hasClass('active') ) {
            return;
        }

        $('.isotope-filter').removeClass('active');
        el.addClass( 'active' );

        var filterValue = el.attr( 'data-filter' );

        $('.grid-isotope').isotope({
            filter: filterValue
        });

    }

    /**
     *
     *
     */
    function project_isotope_layoutComplete( event )
    {

        var el = $( event.target );
        $( el ).prev('.isotope-filters').find('li:first-of-type').trigger( "click" );

        console.log('test');
    }

    /**
     *
     *
     */
    function project_isotope_reinit()
    {
        if( $().isotope && $('.grid-isotope').length ) {
            $('.grid-isotope').isotope();
        }
    }

    /**
     *
     *
     */
    function slider_banner() {
        if ( !( $().slick && $('.slider-banner').length ) ) {
            return;
        }

        $('.slider-banner').slick({
            pauseOnHover: false,
            infinite: true,
            arrows: false,
            speed: 1000,
            fade: true,
            // autoplay: true,
            autoplaySpeed: 5000,
            cssEase: 'linear',
            dots: true,
            customPaging: function(slider, i) {
                return '<div class="tab">0' + (i+1) + '</div>';
            },
            appendDots:$('.dots')

        });

    }

})(jQuery);
